Skip to main content
GET
/
v1
/
compute
/
ledger
/
credit-purchases
List Credit Purchases
curl --request GET \
  --url https://api.dispersed.com/v1/compute/ledger/credit-purchases
{
  "data": [
    {
      "amount": 123,
      "currency": "<string>",
      "checkout_session_id": "<string>",
      "object": "compute_ledger_credit_purchase",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "uuid": "<string>",
      "consumer_profile_uuid": "<string>",
      "consumer_account_uuid": "<string>",
      "render_user_id": "<string>",
      "memo": "<string>",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}

Query Parameters

limit
integer
Required range: 1 <= x <= 50
Example:

1

page
integer
Required range: 1 <= x <= 9007199254740991
Example:

1

sort
string
Example:

"created_at OR -created_at"

filter[created_at]
string
Example:

"2025-01-01,2025-03-01"

filter[consumer_account_uuid]
string
filter[status]
string
Example:

"COMPLETED,PENDING"

filter[uuid]
string

Response

List credit purchase receipts

data
object[]
required
limit
integer
required
page
integer
required
total
integer
required